<< arch_fit | FOSSEE_Signal_Processing_Toolbox | arch_test >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > arch_rnd

# arch_rnd

Simulate an ARCH sequence of length t with AR coefficients b and CH coefficients a.

### Syntax

    y = arch_rnd(a, b, t)

### Parameters

a:

  CH coefficients.

b:

  AR coefficients.

t:

  Length of ARCH sequence.

### Description

This function simulates an ARCH sequence of length `t` with AR coefficients `b` and CH coefficients `a`. The result `y(t)` follows the model: y(t) = b(1) + b(2) * y(t-1) + … + b(lb) * y(t-lb+1) + e(t), where `e(t)`, given `y` up to time `t-1`, is N(0, h(t)), with h(t) = a(1) + a(2) * e(t-1)^2 + … + a(la) * e(t-la+1)^2.

### Examples

    a = [1, 2, 3, 4, 5]
    b = [7, 8, 9, 10]
    t = 5
    y = arch_rnd(a, b, t)

Report an issue
<< arch_fit | FOSSEE_Signal_Processing_Toolbox | arch_test >>